Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740600 - sys-apps/portage: use tmpfiles.eclass instead of systemd_tmpfiles*
Summary: sys-apps/portage: use tmpfiles.eclass instead of systemd_tmpfiles*
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 740638 643386
  Show dependency tree
 
Reported: 2020-09-06 03:24 UTC by Michał Górny
Modified: 2020-09-06 17:35 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-09-06 03:24:14 UTC
The packages listed in summary still use systemd_tmpfiles API.  Please switch to tmpfiles.eclass that is maintained and supports OpenRC correctly.
Comment 1 Arfrever Frehtes Taifersar Arahesis 2020-09-06 05:23:13 UTC
sys-apps/portage ebuilds were changed in the past to eliminate dependency on virtual/tmpfiles:


https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72533ec33e2fa41ac5f9859a4e1826a1baac512a

commit 72533ec33e2fa41ac5f9859a4e1826a1baac512a
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2018-01-04 23:55:17 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2018-01-04 23:56:38 +0000

    sys-apps/portage: eliminate virtual/tmpfiles dependency
    
    Closes: https://bugs.gentoo.org/643386


https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=302eff51953f1258205feba67936bfb779fc3478

commit 302eff51953f1258205feba67936bfb779fc3478
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2018-01-05 00:19:22 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2018-01-05 00:20:10 +0000

    sys-apps/portage: use systemd eclass for tmpfiles support
    
    Closes: https://bugs.gentoo.org/643386


But maybe avoiding sys-apps/opentmpfiles for non-systemd users is not really necessary...
Comment 2 Larry the Git Cow gentoo-dev 2020-09-06 17:35:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2af9e69f3462abfcf97679a24897b708f522059e

commit 2af9e69f3462abfcf97679a24897b708f522059e
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-09-06 17:16:26 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-09-06 17:35:20 +0000

    sys-apps/portage: Migrate to tmpfiles eclass
    
    The systemd_dotmpfilesd function is deprecated. Note that this
    effectively forces upgrade to >=sys-apps/openrc-0.23 for OpenRC users,
    since opentmpfiles blocks older versions of OpenRC (bug 643386).
    This should be acceptable, since the older OpenRC versions are nearly
    4 years old now.
    
    Closes: https://bugs.gentoo.org/740600
    Bug: https://bugs.gentoo.org/490676
    Bug: https://bugs.gentoo.org/643386
    Bug: https://bugs.gentoo.org/740638
    Package-Manager: Portage-3.0.5, Repoman-3.0.1
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 sys-apps/portage/portage-2.3.103-r1.ebuild | 4 ++--
 sys-apps/portage/portage-2.3.99-r2.ebuild  | 4 ++--
 sys-apps/portage/portage-3.0.4-r1.ebuild   | 4 ++--
 sys-apps/portage/portage-3.0.5.ebuild      | 4 ++--
 sys-apps/portage/portage-9999.ebuild       | 4 ++--
 5 files changed, 10 insertions(+), 10 deletions(-)